crc64_small.c File Reference

CRC64 calculation (size-optimized) More...

`#include "check.h"`

## Functions

static void | crc64_init (void)
uint64_t | lzma_crc64 (const uint8_t *buf, size_t size, uint64_t crc)
| Calculate CRC64. More...

## Variables

static uint64_t | crc64_table [256]

## Detailed Description

CRC64 calculation (size-optimized)

## Function Documentation

## lzma_crc64()

uint64_t lzma_crc64 | ( | const uint8_t * | buf,
|  | size_t | size,
|  | uint64_t | crc
| ) |  |

Calculate CRC64.

Calculate CRC64 using the polynomial from the ECMA-182 standard.

This function is used similarly to lzma_crc32(). See its documentation.

Referenced by lzma_check_update().